Bug 74494 - ports/www/neon - add a mirror, fetch PGP signature
Summary: ports/www/neon - add a mirror, fetch PGP signature
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-29 00:20 UTC by jharris
Modified: 2005-04-14 12:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-11-29 00:20:26 UTC
	add a mirror while www.webdav.org is down, fetch PGP signature

	(Some links for the 'bots:)

	http://keyserver.kjsl.com/~jharris/distfiles/neon-0.24.7.tar.gz.asc
	http://keyserver.kjsl.com/~jharris/distfiles/neon-0.24.7.tar.gz

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFBqmqHSypIl9OdoOMRAtrKAJ9OHBOqyNHXYWQCACqic4ODs0WlmACfR5zX
jpxKkSdL5kX/+UI2xGnY9Xs=
=j6k2
-----END PGP SIGNATURE-------E5YhW4bf2RTT3jxeziK3bO3PaOXZ2ctDy3n7Pxqpd9DVkgnt
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/neon/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- Makefile	28 Jul 2004 17:41:40 -0000	1.31
+++ Makefile	29 Nov 2004 00:07:19 -0000
@@ -8,13 +8,18 @@
 PORTNAME=	neon
 PORTVERSION=	0.24.7
 CATEGORIES=	www
-MASTER_SITES=	http://www.webdav.org/neon/
+MASTER_SITES=	http://www.webdav.org/neon/ \
+		http://keyserver.kjsl.com/~jharris/distfiles/
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.asc
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	lev@FreeBSD.org
 COMMENT=	An HTTP and WebDAV client library for Unix systems
 
 LIB_DEPENDS=	expat.5:${PORTSDIR}/textproc/expat2
 
+USE_GPG?=	yes
+SIG_FILES=	${DISTNAME}${EXTRACT_SUFX}.asc
 INSTALLS_SHLIB=	yes
 
 .ifndef WITHOUT_OPENSSL
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/www/neon/distinfo,v
retrieving revision 1.22
diff -u -r1.22 distinfo
--- distinfo	28 Jul 2004 17:41:40 -0000	1.22
+++ distinfo	29 Nov 2004 00:07:20 -0000
@@ -1,2 +1,3 @@
 MD5 (neon-0.24.7.tar.gz) = 5108bcbe41de4afe2e19cc58500fb9f2
 SIZE (neon-0.24.7.tar.gz) = 603592
+MD5 (neon-0.24.7.tar.gz.asc) = edcbc4755e9c52092b1bbeeceb0b771c
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Volker Stolz freebsd_committer 2004-11-29 12:14:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to maintainer
Comment 2 Florent Thoumie freebsd_committer 2005-04-14 12:40:45 UTC
State Changed
From-To: open->closed

I've added the new site but not the signature since USE_GPG doesn't 
exist in the ports framework.